<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFPresetGeometry2D (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFPresetGeometry2D (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFPresetGeometry2D.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFPositiveSize2D.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetLineDash.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFPresetGeometry2D.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel</div>
    <h2 title="Class XDDFPresetGeometry2D" class="title">Class XDDFPresetGeometry2D</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.XDDFPresetGeometry2D</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFPresetGeometry2D</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html#XDDFPresetGeometry2D-org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D-">XDDFPresetGeometry2D</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D&nbsp;geometry)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html#addAdjustValue--">addAdjustValue</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html#getAdjustValue-int-">getAdjustValue</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html#getAdjustValues--">getAdjustValues</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetGeometry.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetGeometry</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html#getGeometry--">getGeometry</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html#insertAdjustValue-int-">insertAdjustValue</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html#removeAdjustValue-int-">removeAdjustValue</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html#setGeometry-org.apache.poi.xddf.usermodel.PresetGeometry-">setGeometry</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetGeometry.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetGeometry</a>&nbsp;preset)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFPresetGeometry2D-org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFPresetGeometry2D</h4>
                                <pre>protected&nbsp;XDDFPresetGeometry2D(org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D&nbsp;geometry)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="getGeometry--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGeometry</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetGeometry.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetGeometry</a>&nbsp;getGeometry()</pre>
                            </li>
                        </ul>
                        <a name="setGeometry-org.apache.poi.xddf.usermodel.PresetGeometry-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setGeometry</h4>
                                <pre>public&nbsp;void&nbsp;setGeometry(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetGeometry.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetGeometry</a>&nbsp;preset)</pre>
                            </li>
                        </ul>
                        <a name="addAdjustValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addAdjustValue</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&nbsp;addAdjustValue()</pre>
                            </li>
                        </ul>
                        <a name="insertAdjustValue-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertAdjustValue</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&nbsp;insertAdjustValue(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="removeAdjustValue-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeAdjustValue</h4>
                                <pre>public&nbsp;void&nbsp;removeAdjustValue(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getAdjustValue-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAdjustValue</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&nbsp;getAdjustValue(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getAdjustValues--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getAdjustValues</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&gt;&nbsp;getAdjustValues()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFPresetGeometry2D.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFPositiveSize2D.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetLineDash.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFPresetGeometry2D.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFPresetGeometry2D.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
